Changeset 2985 for ThirdParty/Glpk


Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (6 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

Location:
ThirdParty/Glpk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/releases/1.9.2/configure

    r2978 r2985  
    10621062                          (implies --disable-shared)
    10631063  --enable-debug-glpk compile project Glpk with debug compiler flags
    1064 
    1065   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1064  --enable-doscompile     Under Cygwin, compile so that executables run under
     1065                          DOS. Set to mingw to use gcc/g++/ld with
     1066                          -mno-cygwin. Set to msvc to use cl/link (or
     1067                          icl/link). Default when mentioned: mingw. Default
     1068                          when not mentioned: disabled.
    10661069  --disable-pkg-config    disable use of pkg-config (if available)
    10671070  --enable-static[=PKGS]
     
    18541857
    18551858# Get the name of the C compiler
    1856 
    1857 
    1858   # for backward compatibility
    1859   # Check whether --enable-doscompile or --disable-doscompile was given.
    1860 if test "${enable_doscompile+set}" = set; then
    1861   enableval="$enable_doscompile"
    1862   enable_doscompile=$enableval
    1863 else
    1864   enable_doscompile=no
    1865 fi;
    1866 
    1867   # Check whether --enable-msvc or --disable-msvc was given.
    1868 if test "${enable_msvc+set}" = set; then
    1869   enableval="$enable_msvc"
    1870   enable_msvc=$enableval
    1871 else
    1872   enable_msvc=no
    1873      if test "$enable_doscompile" = msvc ; then
    1874        enable_msvc=yes
    1875      elif test "$enable_doscompile" != no ; then
    1876        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1877 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1878    { (exit 1); exit 1; }; }
    1879      fi
    1880 
    1881 fi;
    1882 
    1883   if test "$enable_msvc" = yes; then
    1884     case $build in
    1885       *-cygwin* | *-mingw*) ;;
    1886       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1887 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1888    { (exit 1); exit 1; }; } ;;
    1889     esac
    1890   fi
    1891 
    1892 
    1893  case $build in
     1859case $build in
    18941860  *-mingw*)
    18951861    if test "${LD+set}" = set; then :; else
     
    18981864    ;;
    18991865 esac
    1900  if test $enable_msvc = yes ; then
    1901    if test "x${LD+set}" = xset; then :; else
    1902      LD=link
     1866 case $enable_doscompile in
     1867   msvc)
     1868     if test "x${LD+set}" = xset; then :; else
     1869       LD=link
     1870     fi
     1871     ;;
     1872 esac
     1873
     1874
     1875 # Check whether --enable-doscompile or --disable-doscompile was given.
     1876if test "${enable_doscompile+set}" = set; then
     1877  enableval="$enable_doscompile"
     1878  if test "$enable_doscompile" != no; then
     1879     case $build in
     1880       *-cygwin* | *-mingw*) ;;
     1881       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1882echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1883   { (exit 1); exit 1; }; } ;;
     1884     esac
    19031885   fi
    1904  fi
     1886else
     1887  enable_doscompile=no
     1888fi;
     1889 case "$enable_doscompile" in
     1890   mingw)
     1891     case $build in
     1892       *-mingw*) enable_doscompile=no ;;
     1893     esac
     1894     ;;
     1895   msvc|no) ;;
     1896   yes) enable_doscompile=mingw ;;
     1897   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1898                    Try configure --help=recursive." >&5
     1899echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1900                    Try configure --help=recursive." >&2;}
     1901   { (exit 1); exit 1; }; }
     1902      ;;
     1903  esac
     1904  if test "$enable_doscompile" != no ; then
     1905    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1906echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1907  fi
    19051908
    19061909
     
    19451948case $build in
    19461949  *-cygwin* | *-mingw*)
    1947              if test "$enable_msvc" = yes ; then
    1948                comps="icl cl gcc"
     1950             if test "$enable_doscompile" = msvc ; then
     1951               comps="icl cl"
    19491952             else
    1950                comps="gcc icl cl"
     1953               comps="gcc cl"
    19511954             fi ;;
    19521955  *-*-solaris*)
     
    28012804            ;;
    28022805        esac
     2806        case $enable_doscompile in
     2807          mingw)
     2808            CFLAGS="-mno-cygwin"
     2809            cat >conftest.$ac_ext <<_ACEOF
     2810/* confdefs.h.  */
     2811_ACEOF
     2812cat confdefs.h >>conftest.$ac_ext
     2813cat >>conftest.$ac_ext <<_ACEOF
     2814/* end confdefs.h.  */
     2815
     2816int
     2817main ()
     2818{
     2819int i=0; i++;
     2820  ;
     2821  return 0;
     2822}
     2823_ACEOF
     2824rm -f conftest.$ac_objext conftest$ac_exeext
     2825if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2826  (eval $ac_link) 2>conftest.er1
     2827  ac_status=$?
     2828  grep -v '^ *+' conftest.er1 >conftest.err
     2829  rm -f conftest.er1
     2830  cat conftest.err >&5
     2831  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2832  (exit $ac_status); } &&
     2833         { ac_try='test -z "$ac_c_werror_flag"
     2834                         || test ! -s conftest.err'
     2835  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2836  (eval $ac_try) 2>&5
     2837  ac_status=$?
     2838  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2839  (exit $ac_status); }; } &&
     2840         { ac_try='test -s conftest$ac_exeext'
     2841  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2842  (eval $ac_try) 2>&5
     2843  ac_status=$?
     2844  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2845  (exit $ac_status); }; }; then
     2846  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2847else
     2848  echo "$as_me: failed program was:" >&5
     2849sed 's/^/| /' conftest.$ac_ext >&5
     2850
     2851fi
     2852rm -f conftest.err conftest.$ac_objext \
     2853      conftest$ac_exeext conftest.$ac_ext
     2854            CFLAGS=
     2855          ;;
     2856        esac
    28032857    esac
    28042858  fi
     
    31413195  clang* ) ;;
    31423196  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3143 
    3144  case $build in
     3197    case $build in
    31453198  *-mingw*)
    31463199    if test "${LD+set}" = set; then :; else
     
    31493202    ;;
    31503203 esac
    3151  if test $enable_msvc = yes ; then
    3152    if test "x${LD+set}" = xset; then :; else
    3153      LD=link
    3154    fi
    3155  fi
     3204 case $enable_doscompile in
     3205   msvc)
     3206     if test "x${LD+set}" = xset; then :; else
     3207       LD=link
     3208     fi
     3209     ;;
     3210 esac
    31563211
    31573212    ;;
     
    50155070*-*-irix6*)
    50165071  # Find out which ABI we are using.
    5017   echo '#line 5017 "configure"' > conftest.$ac_ext
     5072  echo '#line 5072 "configure"' > conftest.$ac_ext
    50185073  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50195074  (eval $ac_compile) 2>&5
     
    66146669
    66156670# Provide some information about the compiler.
    6616 echo "$as_me:6616:" \
     6671echo "$as_me:6671:" \
    66176672     "checking for Fortran 77 compiler version" >&5
    66186673ac_compiler=`set X $ac_compile; echo $2`
     
    76817736   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76827737   -e 's:$: $lt_compiler_flag:'`
    7683    (eval echo "\"\$as_me:7683: $lt_compile\"" >&5)
     7738   (eval echo "\"\$as_me:7738: $lt_compile\"" >&5)
    76847739   (eval "$lt_compile" 2>conftest.err)
    76857740   ac_status=$?
    76867741   cat conftest.err >&5
    7687    echo "$as_me:7687: \$? = $ac_status" >&5
     7742   echo "$as_me:7742: \$? = $ac_status" >&5
    76887743   if (exit $ac_status) && test -s "$ac_outfile"; then
    76897744     # The compiler can only warn and ignore the option if not recognized
     
    79498004   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79508005   -e 's:$: $lt_compiler_flag:'`
    7951    (eval echo "\"\$as_me:7951: $lt_compile\"" >&5)
     8006   (eval echo "\"\$as_me:8006: $lt_compile\"" >&5)
    79528007   (eval "$lt_compile" 2>conftest.err)
    79538008   ac_status=$?
    79548009   cat conftest.err >&5
    7955    echo "$as_me:7955: \$? = $ac_status" >&5
     8010   echo "$as_me:8010: \$? = $ac_status" >&5
    79568011   if (exit $ac_status) && test -s "$ac_outfile"; then
    79578012     # The compiler can only warn and ignore the option if not recognized
     
    80538108   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80548109   -e 's:$: $lt_compiler_flag:'`
    8055    (eval echo "\"\$as_me:8055: $lt_compile\"" >&5)
     8110   (eval echo "\"\$as_me:8110: $lt_compile\"" >&5)
    80568111   (eval "$lt_compile" 2>out/conftest.err)
    80578112   ac_status=$?
    80588113   cat out/conftest.err >&5
    8059    echo "$as_me:8059: \$? = $ac_status" >&5
     8114   echo "$as_me:8114: \$? = $ac_status" >&5
    80608115   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    80618116   then
     
    1039810453  lt_status=$lt_dlunknown
    1039910454  cat > conftest.$ac_ext <<EOF
    10400 #line 10400 "configure"
     10455#line 10455 "configure"
    1040110456#include "confdefs.h"
    1040210457
     
    1049810553  lt_status=$lt_dlunknown
    1049910554  cat > conftest.$ac_ext <<EOF
    10500 #line 10500 "configure"
     10555#line 10555 "configure"
    1050110556#include "confdefs.h"
    1050210557
     
    1284212897   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1284312898   -e 's:$: $lt_compiler_flag:'`
    12844    (eval echo "\"\$as_me:12844: $lt_compile\"" >&5)
     12899   (eval echo "\"\$as_me:12899: $lt_compile\"" >&5)
    1284512900   (eval "$lt_compile" 2>conftest.err)
    1284612901   ac_status=$?
    1284712902   cat conftest.err >&5
    12848    echo "$as_me:12848: \$? = $ac_status" >&5
     12903   echo "$as_me:12903: \$? = $ac_status" >&5
    1284912904   if (exit $ac_status) && test -s "$ac_outfile"; then
    1285012905     # The compiler can only warn and ignore the option if not recognized
     
    1294613001   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1294713002   -e 's:$: $lt_compiler_flag:'`
    12948    (eval echo "\"\$as_me:12948: $lt_compile\"" >&5)
     13003   (eval echo "\"\$as_me:13003: $lt_compile\"" >&5)
    1294913004   (eval "$lt_compile" 2>out/conftest.err)
    1295013005   ac_status=$?
    1295113006   cat out/conftest.err >&5
    12952    echo "$as_me:12952: \$? = $ac_status" >&5
     13007   echo "$as_me:13007: \$? = $ac_status" >&5
    1295313008   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1295413009   then
     
    1451614571   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1451714572   -e 's:$: $lt_compiler_flag:'`
    14518    (eval echo "\"\$as_me:14518: $lt_compile\"" >&5)
     14573   (eval echo "\"\$as_me:14573: $lt_compile\"" >&5)
    1451914574   (eval "$lt_compile" 2>conftest.err)
    1452014575   ac_status=$?
    1452114576   cat conftest.err >&5
    14522    echo "$as_me:14522: \$? = $ac_status" >&5
     14577   echo "$as_me:14577: \$? = $ac_status" >&5
    1452314578   if (exit $ac_status) && test -s "$ac_outfile"; then
    1452414579     # The compiler can only warn and ignore the option if not recognized
     
    1462014675   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1462114676   -e 's:$: $lt_compiler_flag:'`
    14622    (eval echo "\"\$as_me:14622: $lt_compile\"" >&5)
     14677   (eval echo "\"\$as_me:14677: $lt_compile\"" >&5)
    1462314678   (eval "$lt_compile" 2>out/conftest.err)
    1462414679   ac_status=$?
    1462514680   cat out/conftest.err >&5
    14626    echo "$as_me:14626: \$? = $ac_status" >&5
     14681   echo "$as_me:14681: \$? = $ac_status" >&5
    1462714682   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1462814683   then
     
    1682716882   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1682816883   -e 's:$: $lt_compiler_flag:'`
    16829    (eval echo "\"\$as_me:16829: $lt_compile\"" >&5)
     16884   (eval echo "\"\$as_me:16884: $lt_compile\"" >&5)
    1683016885   (eval "$lt_compile" 2>conftest.err)
    1683116886   ac_status=$?
    1683216887   cat conftest.err >&5
    16833    echo "$as_me:16833: \$? = $ac_status" >&5
     16888   echo "$as_me:16888: \$? = $ac_status" >&5
    1683416889   if (exit $ac_status) && test -s "$ac_outfile"; then
    1683516890     # The compiler can only warn and ignore the option if not recognized
     
    1709517150   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1709617151   -e 's:$: $lt_compiler_flag:'`
    17097    (eval echo "\"\$as_me:17097: $lt_compile\"" >&5)
     17152   (eval echo "\"\$as_me:17152: $lt_compile\"" >&5)
    1709817153   (eval "$lt_compile" 2>conftest.err)
    1709917154   ac_status=$?
    1710017155   cat conftest.err >&5
    17101    echo "$as_me:17101: \$? = $ac_status" >&5
     17156   echo "$as_me:17156: \$? = $ac_status" >&5
    1710217157   if (exit $ac_status) && test -s "$ac_outfile"; then
    1710317158     # The compiler can only warn and ignore the option if not recognized
     
    1719917254   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1720017255   -e 's:$: $lt_compiler_flag:'`
    17201    (eval echo "\"\$as_me:17201: $lt_compile\"" >&5)
     17256   (eval echo "\"\$as_me:17256: $lt_compile\"" >&5)
    1720217257   (eval "$lt_compile" 2>out/conftest.err)
    1720317258   ac_status=$?
    1720417259   cat out/conftest.err >&5
    17205    echo "$as_me:17205: \$? = $ac_status" >&5
     17260   echo "$as_me:17260: \$? = $ac_status" >&5
    1720617261   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1720717262   then
     
    2195622011echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2195722012coin_link_input_cmd="$LN_S"
     22013if test "$enable_doscompile" = mingw; then
     22014  coin_link_input_cmd=cp
     22015fi
    2195822016case "$CC" in
    2195922017  clang* ) ;;
  • ThirdParty/Glpk/trunk/configure

    r2967 r2985  
    10621062                          (implies --disable-shared)
    10631063  --enable-debug-glpk compile project Glpk with debug compiler flags
    1064 
    1065   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1064  --enable-doscompile     Under Cygwin, compile so that executables run under
     1065                          DOS. Set to mingw to use gcc/g++/ld with
     1066                          -mno-cygwin. Set to msvc to use cl/link (or
     1067                          icl/link). Default when mentioned: mingw. Default
     1068                          when not mentioned: disabled.
    10661069  --disable-pkg-config    disable use of pkg-config (if available)
    10671070  --enable-static[=PKGS]
     
    18531856
    18541857# Get the name of the C compiler
    1855 
    1856 
    1857   # for backward compatibility
    1858   # Check whether --enable-doscompile or --disable-doscompile was given.
    1859 if test "${enable_doscompile+set}" = set; then
    1860   enableval="$enable_doscompile"
    1861   enable_doscompile=$enableval
    1862 else
    1863   enable_doscompile=no
    1864 fi;
    1865 
    1866   # Check whether --enable-msvc or --disable-msvc was given.
    1867 if test "${enable_msvc+set}" = set; then
    1868   enableval="$enable_msvc"
    1869   enable_msvc=$enableval
    1870 else
    1871   enable_msvc=no
    1872      if test "$enable_doscompile" = msvc ; then
    1873        enable_msvc=yes
    1874      elif test "$enable_doscompile" != no ; then
    1875        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1876 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1877    { (exit 1); exit 1; }; }
    1878      fi
    1879 
    1880 fi;
    1881 
    1882   if test "$enable_msvc" = yes; then
    1883     case $build in
    1884       *-cygwin* | *-mingw*) ;;
    1885       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1886 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1887    { (exit 1); exit 1; }; } ;;
    1888     esac
    1889   fi
    1890 
    1891 
    1892  case $build in
     1858case $build in
    18931859  *-mingw*)
    18941860    if test "${LD+set}" = set; then :; else
     
    18971863    ;;
    18981864 esac
    1899  if test $enable_msvc = yes ; then
    1900    if test "x${LD+set}" = xset; then :; else
    1901      LD=link
     1865 case $enable_doscompile in
     1866   msvc)
     1867     if test "x${LD+set}" = xset; then :; else
     1868       LD=link
     1869     fi
     1870     ;;
     1871 esac
     1872
     1873
     1874 # Check whether --enable-doscompile or --disable-doscompile was given.
     1875if test "${enable_doscompile+set}" = set; then
     1876  enableval="$enable_doscompile"
     1877  if test "$enable_doscompile" != no; then
     1878     case $build in
     1879       *-cygwin* | *-mingw*) ;;
     1880       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1881echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1882   { (exit 1); exit 1; }; } ;;
     1883     esac
    19021884   fi
    1903  fi
    1904 
    1905 
    1906 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1907 if test "${enable_static_standardlibs+set}" = set; then
    1908   enableval="$enable_static_standardlibs"
    1909   case "$enableval" in
    1910      no | yes | auto ) ;;
    1911      *)
    1912        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1913 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1914    { (exit 1); exit 1; }; } ;;
    1915    esac
    1916    use_static_standardlibs=$enableval
    1917 else
    1918   use_static_standardlibs=no
     1885else
     1886  enable_doscompile=no
    19191887fi;
    1920 
     1888 case "$enable_doscompile" in
     1889   mingw)
     1890     case $build in
     1891       *-mingw*) enable_doscompile=no ;;
     1892     esac
     1893     ;;
     1894   msvc|no) ;;
     1895   yes) enable_doscompile=mingw ;;
     1896   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1897                    Try configure --help=recursive." >&5
     1898echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1899                    Try configure --help=recursive." >&2;}
     1900   { (exit 1); exit 1; }; }
     1901      ;;
     1902  esac
     1903  if test "$enable_doscompile" != no ; then
     1904    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1905echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1906  fi
    19211907
    19221908
     
    19611947case $build in
    19621948  *-cygwin* | *-mingw*)
    1963              if test "$enable_msvc" = yes ; then
    1964                comps="icl cl gcc"
     1949             if test "$enable_doscompile" = msvc ; then
     1950               comps="icl cl"
    19651951             else
    1966                comps="gcc icl cl"
     1952               comps="gcc cl"
    19671953             fi ;;
    19681954  *-*-solaris*)
     
    28172803            ;;
    28182804        esac
     2805        case $enable_doscompile in
     2806          mingw)
     2807            CFLAGS="-mno-cygwin"
     2808            cat >conftest.$ac_ext <<_ACEOF
     2809/* confdefs.h.  */
     2810_ACEOF
     2811cat confdefs.h >>conftest.$ac_ext
     2812cat >>conftest.$ac_ext <<_ACEOF
     2813/* end confdefs.h.  */
     2814
     2815int
     2816main ()
     2817{
     2818int i=0; i++;
     2819  ;
     2820  return 0;
     2821}
     2822_ACEOF
     2823rm -f conftest.$ac_objext conftest$ac_exeext
     2824if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2825  (eval $ac_link) 2>conftest.er1
     2826  ac_status=$?
     2827  grep -v '^ *+' conftest.er1 >conftest.err
     2828  rm -f conftest.er1
     2829  cat conftest.err >&5
     2830  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2831  (exit $ac_status); } &&
     2832         { ac_try='test -z "$ac_c_werror_flag"
     2833                         || test ! -s conftest.err'
     2834  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2835  (eval $ac_try) 2>&5
     2836  ac_status=$?
     2837  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2838  (exit $ac_status); }; } &&
     2839         { ac_try='test -s conftest$ac_exeext'
     2840  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2841  (eval $ac_try) 2>&5
     2842  ac_status=$?
     2843  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2844  (exit $ac_status); }; }; then
     2845  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2846else
     2847  echo "$as_me: failed program was:" >&5
     2848sed 's/^/| /' conftest.$ac_ext >&5
     2849
     2850fi
     2851rm -f conftest.err conftest.$ac_objext \
     2852      conftest$ac_exeext conftest.$ac_ext
     2853            CFLAGS=
     2854          ;;
     2855        esac
    28192856    esac
    28202857  fi
     
    30073044    CFLAGS="$OPT_CFLAGS"
    30083045  fi
    3009 
    30103046else
    30113047  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    31583194  clang* ) ;;
    31593195  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3160 
    3161  case $build in
     3196    case $build in
    31623197  *-mingw*)
    31633198    if test "${LD+set}" = set; then :; else
     
    31663201    ;;
    31673202 esac
    3168  if test $enable_msvc = yes ; then
    3169    if test "x${LD+set}" = xset; then :; else
    3170      LD=link
    3171    fi
    3172  fi
     3203 case $enable_doscompile in
     3204   msvc)
     3205     if test "x${LD+set}" = xset; then :; else
     3206       LD=link
     3207     fi
     3208     ;;
     3209 esac
    31733210
    31743211    ;;
    31753212esac
    3176 
    3177 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3178 if test x$use_static_standardlibs != xno ; then
    3179   case $build in
    3180     *-mingw*)
    3181       static_standardlib_flag=-static
    3182       ;;
    3183     *)
    3184       static_standardlib_flag=-static-libgcc
    3185       ;;
    3186   esac
    3187   case " $LDFLAGS " in
    3188     *" $static_standardlib_flag "* ) ;;
    3189     *)
    3190     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3191 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3192     coin_save_LDFLAGS="$LDFLAGS"
    3193     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3194     cat >conftest.$ac_ext <<_ACEOF
    3195 /* confdefs.h.  */
    3196 _ACEOF
    3197 cat confdefs.h >>conftest.$ac_ext
    3198 cat >>conftest.$ac_ext <<_ACEOF
    3199 /* end confdefs.h.  */
    3200 
    3201 int
    3202 main ()
    3203 {
    3204 int i=0;
    3205   ;
    3206   return 0;
    3207 }
    3208 _ACEOF
    3209 rm -f conftest.$ac_objext conftest$ac_exeext
    3210 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3211   (eval $ac_link) 2>conftest.er1
    3212   ac_status=$?
    3213   grep -v '^ *+' conftest.er1 >conftest.err
    3214   rm -f conftest.er1
    3215   cat conftest.err >&5
    3216   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3217   (exit $ac_status); } &&
    3218          { ac_try='test -z "$ac_c_werror_flag"
    3219                          || test ! -s conftest.err'
    3220   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3221   (eval $ac_try) 2>&5
    3222   ac_status=$?
    3223   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3224   (exit $ac_status); }; } &&
    3225          { ac_try='test -s conftest$ac_exeext'
    3226   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3227   (eval $ac_try) 2>&5
    3228   ac_status=$?
    3229   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3230   (exit $ac_status); }; }; then
    3231   echo "$as_me:$LINENO: result: yes" >&5
    3232 echo "${ECHO_T}yes" >&6
    3233 else
    3234   echo "$as_me: failed program was:" >&5
    3235 sed 's/^/| /' conftest.$ac_ext >&5
    3236 
    3237 echo "$as_me:$LINENO: result: no" >&5
    3238 echo "${ECHO_T}no" >&6
    3239        LDFLAGS="$coin_save_LDFLAGS"
    3240        if test $use_static_standardlibs = yes ; then
    3241          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3242 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3243    { (exit 1); exit 1; }; }
    3244        fi
    3245 
    3246 fi
    3247 rm -f conftest.err conftest.$ac_objext \
    3248       conftest$ac_exeext conftest.$ac_ext
    3249     ;;
    3250   esac
    3251 fi
    32523213
    32533214ac_ext=c
     
    51085069*-*-irix6*)
    51095070  # Find out which ABI we are using.
    5110   echo '#line 5110 "configure"' > conftest.$ac_ext
     5071  echo '#line 5071 "configure"' > conftest.$ac_ext
    51115072  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    51125073  (eval $ac_compile) 2>&5
     
    67076668
    67086669# Provide some information about the compiler.
    6709 echo "$as_me:6709:" \
     6670echo "$as_me:6670:" \
    67106671     "checking for Fortran 77 compiler version" >&5
    67116672ac_compiler=`set X $ac_compile; echo $2`
     
    77747735   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77757736   -e 's:$: $lt_compiler_flag:'`
    7776    (eval echo "\"\$as_me:7776: $lt_compile\"" >&5)
     7737   (eval echo "\"\$as_me:7737: $lt_compile\"" >&5)
    77777738   (eval "$lt_compile" 2>conftest.err)
    77787739   ac_status=$?
    77797740   cat conftest.err >&5
    7780    echo "$as_me:7780: \$? = $ac_status" >&5
     7741   echo "$as_me:7741: \$? = $ac_status" >&5
    77817742   if (exit $ac_status) && test -s "$ac_outfile"; then
    77827743     # The compiler can only warn and ignore the option if not recognized
     
    80428003   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80438004   -e 's:$: $lt_compiler_flag:'`
    8044    (eval echo "\"\$as_me:8044: $lt_compile\"" >&5)
     8005   (eval echo "\"\$as_me:8005: $lt_compile\"" >&5)
    80458006   (eval "$lt_compile" 2>conftest.err)
    80468007   ac_status=$?
    80478008   cat conftest.err >&5
    8048    echo "$as_me:8048: \$? = $ac_status" >&5
     8009   echo "$as_me:8009: \$? = $ac_status" >&5
    80498010   if (exit $ac_status) && test -s "$ac_outfile"; then
    80508011     # The compiler can only warn and ignore the option if not recognized
     
    81468107   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81478108   -e 's:$: $lt_compiler_flag:'`
    8148    (eval echo "\"\$as_me:8148: $lt_compile\"" >&5)
     8109   (eval echo "\"\$as_me:8109: $lt_compile\"" >&5)
    81498110   (eval "$lt_compile" 2>out/conftest.err)
    81508111   ac_status=$?
    81518112   cat out/conftest.err >&5
    8152    echo "$as_me:8152: \$? = $ac_status" >&5
     8113   echo "$as_me:8113: \$? = $ac_status" >&5
    81538114   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81548115   then
     
    1049110452  lt_status=$lt_dlunknown
    1049210453  cat > conftest.$ac_ext <<EOF
    10493 #line 10493 "configure"
     10454#line 10454 "configure"
    1049410455#include "confdefs.h"
    1049510456
     
    1059110552  lt_status=$lt_dlunknown
    1059210553  cat > conftest.$ac_ext <<EOF
    10593 #line 10593 "configure"
     10554#line 10554 "configure"
    1059410555#include "confdefs.h"
    1059510556
     
    1293512896   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1293612897   -e 's:$: $lt_compiler_flag:'`
    12937    (eval echo "\"\$as_me:12937: $lt_compile\"" >&5)
     12898   (eval echo "\"\$as_me:12898: $lt_compile\"" >&5)
    1293812899   (eval "$lt_compile" 2>conftest.err)
    1293912900   ac_status=$?
    1294012901   cat conftest.err >&5
    12941    echo "$as_me:12941: \$? = $ac_status" >&5
     12902   echo "$as_me:12902: \$? = $ac_status" >&5
    1294212903   if (exit $ac_status) && test -s "$ac_outfile"; then
    1294312904     # The compiler can only warn and ignore the option if not recognized
     
    1303913000   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1304013001   -e 's:$: $lt_compiler_flag:'`
    13041    (eval echo "\"\$as_me:13041: $lt_compile\"" >&5)
     13002   (eval echo "\"\$as_me:13002: $lt_compile\"" >&5)
    1304213003   (eval "$lt_compile" 2>out/conftest.err)
    1304313004   ac_status=$?
    1304413005   cat out/conftest.err >&5
    13045    echo "$as_me:13045: \$? = $ac_status" >&5
     13006   echo "$as_me:13006: \$? = $ac_status" >&5
    1304613007   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1304713008   then
     
    1460914570   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1461014571   -e 's:$: $lt_compiler_flag:'`
    14611    (eval echo "\"\$as_me:14611: $lt_compile\"" >&5)
     14572   (eval echo "\"\$as_me:14572: $lt_compile\"" >&5)
    1461214573   (eval "$lt_compile" 2>conftest.err)
    1461314574   ac_status=$?
    1461414575   cat conftest.err >&5
    14615    echo "$as_me:14615: \$? = $ac_status" >&5
     14576   echo "$as_me:14576: \$? = $ac_status" >&5
    1461614577   if (exit $ac_status) && test -s "$ac_outfile"; then
    1461714578     # The compiler can only warn and ignore the option if not recognized
     
    1471314674   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1471414675   -e 's:$: $lt_compiler_flag:'`
    14715    (eval echo "\"\$as_me:14715: $lt_compile\"" >&5)
     14676   (eval echo "\"\$as_me:14676: $lt_compile\"" >&5)
    1471614677   (eval "$lt_compile" 2>out/conftest.err)
    1471714678   ac_status=$?
    1471814679   cat out/conftest.err >&5
    14719    echo "$as_me:14719: \$? = $ac_status" >&5
     14680   echo "$as_me:14680: \$? = $ac_status" >&5
    1472014681   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1472114682   then
     
    1692016881   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1692116882   -e 's:$: $lt_compiler_flag:'`
    16922    (eval echo "\"\$as_me:16922: $lt_compile\"" >&5)
     16883   (eval echo "\"\$as_me:16883: $lt_compile\"" >&5)
    1692316884   (eval "$lt_compile" 2>conftest.err)
    1692416885   ac_status=$?
    1692516886   cat conftest.err >&5
    16926    echo "$as_me:16926: \$? = $ac_status" >&5
     16887   echo "$as_me:16887: \$? = $ac_status" >&5
    1692716888   if (exit $ac_status) && test -s "$ac_outfile"; then
    1692816889     # The compiler can only warn and ignore the option if not recognized
     
    1718817149   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1718917150   -e 's:$: $lt_compiler_flag:'`
    17190    (eval echo "\"\$as_me:17190: $lt_compile\"" >&5)
     17151   (eval echo "\"\$as_me:17151: $lt_compile\"" >&5)
    1719117152   (eval "$lt_compile" 2>conftest.err)
    1719217153   ac_status=$?
    1719317154   cat conftest.err >&5
    17194    echo "$as_me:17194: \$? = $ac_status" >&5
     17155   echo "$as_me:17155: \$? = $ac_status" >&5
    1719517156   if (exit $ac_status) && test -s "$ac_outfile"; then
    1719617157     # The compiler can only warn and ignore the option if not recognized
     
    1729217253   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1729317254   -e 's:$: $lt_compiler_flag:'`
    17294    (eval echo "\"\$as_me:17294: $lt_compile\"" >&5)
     17255   (eval echo "\"\$as_me:17255: $lt_compile\"" >&5)
    1729517256   (eval "$lt_compile" 2>out/conftest.err)
    1729617257   ac_status=$?
    1729717258   cat out/conftest.err >&5
    17298    echo "$as_me:17298: \$? = $ac_status" >&5
     17259   echo "$as_me:17259: \$? = $ac_status" >&5
    1729917260   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1730017261   then
     
    2204922010echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2205022011coin_link_input_cmd="$LN_S"
     22012if test "$enable_doscompile" = mingw; then
     22013  coin_link_input_cmd=cp
     22014fi
    2205122015case "$CC" in
    2205222016  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.